function [ET] = Get_ET(P,A,E0,fy) % Yura & Helwig (1995) tangent modulus
    ET = E0*ones(1,length(A));
    for i = 1:length(A)
        x = P(i)/(A(i)*fy);
        if x> 0.85
            ET(i) = 0;
        elseif x > 0.33333333
            ET(i) = E0*(-7.39)*x*log10(x/0.85);
        end
        if ET(i)<0
            ET(i) = 0;
        end
    end
end